package final_PinballBounceStrategy_start;


import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

/**
 * This application is based on the Angry Ducks application by Dr. Hornick
 * @author hornick, yoder
 */
public class PinballMachine {
    /**
     * @param args - not used
     */
    public static void main(String[] args) {
        TableTop table = new TableTop("Pinball Machine");

        // create some ducks
        List<Ball> balls = new ArrayList<>();
        balls.add(new Ball("cueball",1.1));
        balls.add(new Ball("7ball",0.5));
        balls.add(new Ball("8ball",1.0));

        // put them on the table
        for(Ball ball:balls) {
            table.addBall(ball);
        }
        gamePlay(table, balls);
    }

    private static void gamePlay(TableTop table, List<Ball> balls) {
        Timer timer = new Timer(50,e-> {
            for(Ball b:balls) {
                b.move();
            }
            table.repaint(); // update the window display after the balls roll
        });
        timer.start();
    }
}
